﻿// Class cVaxPhone

var m_objVaxPhoneTransfer;
var m_objVaxPhoneTone;

var m_objVaxPhoneIncomingCall;
var m_objVaxPhoneOutgoingCall;

function cVaxPhone() 
{
	m_objVaxPhoneIncomingCall = new cVaxPhoneIncomingCall();
    m_objVaxPhoneOutgoingCall = new cVaxPhoneOutgoingCall();

    m_objVaxPhoneTransfer = new cVaxPhoneTransfer();
    m_objVaxPhoneTone = new cVaxPhoneTone();
  	 
 	this.OnLoadPage = function ()
	{
		m_objVaxPhoneOutgoingCall.OnLoadPage();
	}
 
    this.OnVaxInit = function () 
    {	
		m_objVaxPhoneIncomingCall.OnVaxInit();
        m_objVaxPhoneOutgoingCall.OnVaxInit();	
	
        m_objVaxPhoneTransfer.OnVaxInit();
        m_objVaxPhoneTone.OnVaxInit();
    }

    this.OnVaxUnInit = function () 
    {
		m_objVaxPhoneIncomingCall.OnVaxUnInit();
        m_objVaxPhoneOutgoingCall.OnVaxUnInit();
		
        m_objVaxPhoneTransfer.OnVaxUnInit();
        m_objVaxPhoneTone.OnVaxUnInit();
		
        ListPhoneLog.value = "";

        BtnDial.value = 'Dial';
        BtnHold.value = 'Hold';
    }

    /////////////////////////////////////////////////////////////////////////////////
	/////////////////////////////////////////////////////////////////////////////////

    this.BtnForwardCall_onclick = function () 
    {	
        if (BtnForwardCall.value == "Disable")
        {
            BtnForwardCall.value = "Enable";
            m_objVaxWebPhoneLib.ForwardCall(false, EditForwardCallPhoneNo.value);
            return;
        }

        if (EditForwardCallPhoneNo.value == "") 
        {
            ShowDialog("Please enter a phone number.");
            return;
        }

        BtnForwardCall.value = 'Disable';

        m_objVaxWebPhoneLib.ForwardCall(true, EditForwardCallPhoneNo.value);
    }

    this.CheckDonotDisturb_onclick = function ()
    {
        if (CheckDonotDisturb.checked)
        {
            m_objVaxWebPhoneLib.DonotDisturb(true);
            return;
        }

        m_objVaxWebPhoneLib.DonotDisturb(false);
    }

    this.CheckMuteMic_onclick = function ()
    {
        if (CheckMuteMic.checked)
        {
            m_objVaxWebPhoneLib.MuteMic(true);
            return;
        }

        m_objVaxWebPhoneLib.MuteMic(false);
    }
        
    /////////////////////////////////////////////////////////////////////////////////
	/////////////////////////////////////////////////////////////////////////////////

    this.AddToPhoneLogList = function(value)
    {	
        if (ListPhoneLog.value.length == 0)
            ListPhoneLog.value = ListPhoneLog.value + value;
        else
            ListPhoneLog.value = ListPhoneLog.value + "\n" + value;

        ListPhoneLog.scrollTop = ListPhoneLog.scrollHeight;
    }

    this.BtnClearPhoneLog_onclick = function () 
    {
        ListPhoneLog.value = "";
    }
    
    /////////////////////////////////////////////////////////////////////////////////
	/////////////////////////////////////////////////////////////////////////////////

    this.OnWebSocketStatus = function (sStatus)
    {
        this.AddToPhoneLogList(sStatus);
    }

    /////////////////////////////////////////////////////////////////////////////////
	/////////////////////////////////////////////////////////////////////////////////

    this.OnTransferConsultCallClosed = function ()
    {
        BtnTransferConsultDialCall.value = 'Dial';
    }

    this.OnCallClosed = function ()
    {
        BtnDial.value = 'Dial';
        BtnHold.value = 'Hold';
    }

    this.OnPhoneTransferConsultCallStatus = function (sStatus)
    {
        this.AddToPhoneLogList(sStatus);
    }

    this.OnPhoneCallStatus = function (sStatus, bIsDialFailed, bIsConnected)
    {
        this.AddToPhoneLogList(sStatus);

        if (bIsDialFailed)
        {
            BtnHold.value = 'Hold';
        }
        else if (bIsConnected)
        {
            BtnDial.value = 'Hangup';
            BtnHold.value = 'Hold';
        }
    }

    this.OnPhoneCallHold = function (bIsOnHold)
    {
        if (bIsOnHold)
        {
            BtnHold.value = 'UnHold';
        }
        else
        {
            BtnHold.value = 'Hold';
        }
    }
    
    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////

};