﻿// Class cVaxPhoneTone

function cVaxPhoneTone()
{
    CheckPlayDialTone.checked = true;
    CheckPlayRingTone.checked = true;

    var m_hRingTone = null; 
    var m_hDialTone = null; 
    var m_hBusyTone = null; 

    this.OnVaxInit = function ()
    {
        m_hRingTone = null; 
        m_hDialTone = null;
        m_hBusyTone = null;
    }

    this.OnVaxUnInit = function () 
    {
        PlayStopDialTone();
        PlayStopRingTone();
        PlayStopBusyTone();
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////
    
    function PlayStartDialTone()
    {
        PlayStopDialTone();

        m_hDialTone = document.getElementById('DialToneAudioFile');
                
        m_hDialTone.currentTime = 0;
        m_hDialTone.loop = true;

        m_hDialTone.play();
    }

    function PlayStopDialTone()
    {
        if(m_hDialTone == null)
            return;

        m_hDialTone.pause();
        m_hDialTone.currentTime = 0;

        m_hDialTone = null;
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////

    function PlayStartBusyTone()
    {
        PlayStopBusyTone();

        m_hBusyTone = document.getElementById('BusyToneAudioFile');
                
        m_hBusyTone.currentTime = 0;
        m_hBusyTone.loop = true;

        m_hBusyTone.play();
    }

    function PlayStopBusyTone()
    {
        if(m_hBusyTone == null)
            return;

        m_hBusyTone.pause();
        m_hBusyTone.currentTime = 0;

        m_hBusyTone = null;
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////

    function PlayStartRingTone() 
    {
        PlayStopRingTone();

        m_hRingTone = document.getElementById('RingToneAudioFile');
                
        m_hRingTone.currentTime = 0;
        m_hRingTone.loop = true;

        m_hRingTone.play();
    }

    function PlayStopRingTone() 
    {
        if(m_hRingTone == null)
            return;

        m_hRingTone.pause();
        m_hRingTone.currentTime = 0;
        
        m_hRingTone = null;
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////

    this.CheckPlayDialTone_onclick = function () 
    {
        if (!CheckPlayDialTone.checked)
        {
            PlayStopDialTone();
            PlayStopBusyTone();
        }
    }

    this.CheckPlayRingTone_onclick = function () 
    {
        if (!CheckPlayRingTone.checked)
        {
            PlayStopRingTone();
        }
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////

    function StartDialTone() 
    {
        if (CheckPlayDialTone.checked)
        {
            PlayStartDialTone();
        }
    }

    function StopDialTone() 
    {
        PlayStopDialTone();
    }

    function StartBusyTone() 
    {
        if (CheckPlayDialTone.checked)
        {
            PlayStartBusyTone();
        }
    }

    function StopBusyTone() 
    {
        PlayStopBusyTone();
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////

    function StartRingTone() 
    {
        if (CheckPlayRingTone.checked)
        {
            PlayStartRingTone();
        }
    }

    function StopRingTone() 
    {
        PlayStopRingTone();
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////

    this.OnDialCallRingToneStarted = function () 
    {
        StartDialTone();
    }

    this.OnDialCallRingToneEnded = function () 
    {
        StopDialTone();
    }

    this.OnDialCallBusyToneStarted = function () 
    {
         StartBusyTone();
    }

    this.OnDialCallBusyToneEnded = function () 
    {
        StopBusyTone();
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////

    this.OnIncomingCallAccepted = function ()
    {
        StopRingTone();
    }

    this.OnIncomingCallRejected = function ()
    {
        StopRingTone();
    }

    this.OnIncomingCallRingToneStarted = function () 
    {
        StartRingTone();
    }

    this.OnIncomingCallRingToneEnded = function () 
    {
        StopRingTone();
    }

    ///////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////

};