﻿
var m_objVaxHtml = null;
var m_objVaxWebPhoneLib = null;

var m_objVaxAccount = null;
var m_objVaxPhone = null;

var m_objVaxChat = null;
var m_objVaxBusyLamp = null;

var m_objVaxSetting = null;

function cVaxMain() 
{
    m_objVaxHtml = new cVaxHtml();
    m_objVaxWebPhoneLib = new cVaxWebPhoneLib;
        			
    m_objVaxAccount = new cVaxAccount();
    m_objVaxPhone = new cVaxPhone();

    m_objVaxChat = new cVaxChat();
    m_objVaxBusyLamp = new cVaxBusyLamp();

    m_objVaxSetting = new cVaxSetting();

    this.OnLoadPage = function ()
    {
        m_objVaxHtml.OnLoadPage();
        m_objVaxWebPhoneLib.OnLoadPage();

        m_objVaxAccount.OnLoadPage();
        m_objVaxPhone.OnLoadPage();
    }

    this.OnVaxInit = function () 
    {
        m_objVaxAccount.OnVaxInit();
        m_objVaxPhone.OnVaxInit();

        m_objVaxChat.OnVaxInit();
        m_objVaxBusyLamp.OnVaxInit();

        m_objVaxSetting.OnVaxInit(); 
    }

    this.OnVaxUnInit = function () 
    {
        m_objVaxAccount.OnVaxUnInit();
        m_objVaxPhone.OnVaxUnInit();

        m_objVaxChat.OnVaxUnInit();
        m_objVaxBusyLamp.OnVaxUnInit();

        m_objVaxSetting.OnVaxUnInit();
    }

    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////
        
    this.OnUnRegistered = function ()
    {
        m_objVaxAccount.OnUnRegistered();
    }

    this.OnRegisterStatus = function (sStatus)
    {
        m_objVaxAccount.OnRegisterStatus(sStatus);
    }

    this.OnSuccessToRegister = function ()
    {
        m_objVaxBusyLamp.OnSuccessToRegister();
        m_objVaxChat.OnSuccessToRegister();
    }

    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////

    this.OnPhoneCallStatus = function (sStatus, bIsDialFailed, bIsConnected)
    {
        m_objVaxPhone.OnPhoneCallStatus(sStatus, bIsDialFailed, bIsConnected);
    }

    this.OnPhoneCallHold = function (bIsOnHold)
    {
        m_objVaxPhone.OnPhoneCallHold(bIsOnHold);
    }

    this.OnPhoneTransferConsultCallStatus = function (sStatus)
    {
        m_objVaxPhone.OnPhoneTransferConsultCallStatus(sStatus);
    }

    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////

    this.OnChatContactStatus = function(sUserName, nStatusId)
    {
        m_objVaxChat.OnChatContactStatus(sUserName, nStatusId);
    }

    this.OnChatRecvMsgText = function (sUserName, sMsgText, bIsChatContact)
    {
        m_objVaxChat.OnChatRecvMsgText(sUserName, sMsgText);
    }

    this.OnPhoneChatStatus = function (sStatus)
    {
        m_objVaxChat.OnPhoneChatStatus(sStatus);
    }

    this.OnPhoneChatRecvMsgTypingStatus = function (bIsStarted, sUserName)
    {
        m_objVaxChat.OnPhoneChatRecvMsgTypingStatus(bIsStarted, sUserName);
    }

    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////

    this.OnBusyLampSubscribeSuccess = function (sUserName)
    {
        m_objVaxBusyLamp.OnBusyLampSubscribeSuccess(sUserName)
    }

    this.OnBusyLampSubscribeFailed = function (sUserName, nStatusCode, sReasonPhrase)
    {
        m_objVaxBusyLamp.OnBusyLampSubscribeFailed(sUserName, nStatusCode, sReasonPhrase)
    }

    this.OnBusyLampContactStatus = function (sUserName, nStatusId)
    {
        m_objVaxBusyLamp.OnBusyLampContactStatus(sUserName, nStatusId)
    }
        
    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////

    this.OnIncomingCallStatus = function (bIsStarted, sSDP, sCallId, sCallerName, sCallerId)
    {
        m_objVaxPhoneIncomingCall.OnIncomingCallStatus(bIsStarted, sSDP, sCallId, sCallerName, sCallerId);
    }

    this.OnIncomingCallRingToneStatus = function (bIsStarted, sCallId)
    {
        m_objVaxPhoneIncomingCall.OnIncomingCallRingToneStatus(bIsStarted, sCallId);
    }

    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////

    this.OnDialCallRingToneStatus = function (bIsStarted)
    {
        m_objVaxPhoneOutgoingCall.OnDialCallRingToneStatus(bIsStarted);
    }

    this.OnDialCallBusyToneStatus = function (bIsStarted)
    {
        m_objVaxPhoneOutgoingCall.OnDialCallBusyToneStatus(bIsStarted);
    }

    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////

    this.OnAddCallHistory = function (bOutboundCallType, sCallerName, sCallerId, sDialNo, nStartTime, nEndTime, nDuration, nDayNo, nHistoryTypeId)
    {
    }

    this.OnVoiceMailMsg = function (bIsMsgWaiting, nNewMsgCount, nOldMsgCount, nNewUrgentMsgCount, nOldUrgentMsgCount, sMsgAccount)
    {
        m_objVaxAccount.OnVoiceMailMsg(bIsMsgWaiting, nNewMsgCount, nOldMsgCount, nNewUrgentMsgCount, nOldUrgentMsgCount, sMsgAccount);
    }

    this.OnCallClosed = function ()
    {
        m_objVaxPhone.OnCallClosed();
    }

    this.OnTransferConsultCallClosed = function ()
    {
        m_objVaxPhone.OnTransferConsultCallClosed();
    }

   ///////////////////////////////////////////////////////////////////////////
   ///////////////////////////////////////////////////////////////////////////

    this.OnWebSocketStatus = function (sStatus)
    {
        m_objVaxAccount.OnWebSocketStatus(sStatus);
        m_objVaxPhone.OnWebSocketStatus(sStatus);
    }

   ///////////////////////////////////////////////////////////////////////////
   ///////////////////////////////////////////////////////////////////////////

    this.BtnOnline_onclick = function ()
    {
        m_objVaxAccount.BtnOnline_onclick();
    }

    this.BtnDemoAcc_onclick = function ()
    {
        m_objVaxAccount.BtnDemoAcc_onclick();
    }

    this.BtnAdvance_onclick = function ()
    {
        m_objVaxAccount.BtnAdvance_onclick();
    }
};
  

