﻿
// Class cVaxSetting

const VAX_DTMF_TYPE_RFC2833 = 0;
const VAX_DTMF_TYPE_SIP_INFO = 1;
const VAX_DTMF_TYPE_INBAND = 2;

function cVaxSetting() 
{
    RadioForceNone.checked = true;

    this.OnVaxInit = function () 
    {	
		ActivateDigitDTMF();
    }

    this.OnVaxUnInit = function()
    {
    
    }

    ////////////////////////////////////////////////////////////////////////////////////////////
    ////////////////////////////////////////////////////////////////////////////////////////////

    this.RadioForceNone_Click = function () 
    {
        ActivateDigitDTMF();
    }

    this.RadioForceInbandDTMF_Click = function () 
    {
        ActivateDigitDTMF();
    }

    this.RadioForceRfc2833DTMF_Click = function () 
    {
        ActivateDigitDTMF();
    }

    this.RadioForceInfoDTMF_Click = function () 
    {
        ActivateDigitDTMF();
    }
            
    
    ////////////////////////////////////////////////////////////////////////////////////////////
    ////////////////////////////////////////////////////////////////////////////////////////////

    function ActivateDigitDTMF() 
    {
        if (RadioForceNone.checked) 
        {          
            m_objVaxWebPhoneLib.ForceDigitDTMF(VAX_DTMF_TYPE_RFC2833, true);
        }

        else if (RadioForceInbandDTMF.checked)
        {
            m_objVaxWebPhoneLib.ForceDigitDTMF(VAX_DTMF_TYPE_INBAND, RadioForceInbandDTMF.checked);
        }

        else if (RadioForceRfc2833DTMF.checked)
        {
            m_objVaxWebPhoneLib.ForceDigitDTMF(VAX_DTMF_TYPE_RFC2833, RadioForceRfc2833DTMF.checked); 
        }

        else if (RadioForceInfoDTMF.checked)
        {
            m_objVaxWebPhoneLib.ForceDigitDTMF(VAX_DTMF_TYPE_SIP_INFO, RadioForceInfoDTMF.checked);
        }
    }

};