﻿// Class cVaxAccount


function cVaxAccount()
{
	this.OnLoadPage = function ()
	{
		this.ReadAccountSetting();
        this.DisplayNone();
	}
	
    this.OnVaxInit = function () 
    {	
	    BtnOnline.value = "Offline";
	}

    this.OnVaxUnInit = function () 
    {
        BtnOnline.value = "Online";
        ListStatusLog.value = "";
    }

	////////////////////////////////////////////////////////////////////////

    this.BtnOnline_onclick = function () 
    {	
	    if (BtnOnline.value == "Offline") 
        {	
            m_objVaxWebPhoneLib.VaxOffline();
            return;
        }

        if (!IsValidAddrIP(EditWebSocketServerAddr.value))
        {
            ShowDialog("Please enter a valid ServerWebRTC IP address.");
            return;
        }

        if (EditAccountAuthLogin.value == "") 
        {
            ShowDialog("Invalid auth Login.");
            return;
        }
		
        if (EditAccountServerAddr.value == "") 
        {
            ShowDialog("Invalid SIP server domain or IP address.");
            return;
        }

        if (EditAccountServerPort.value == "")
        {
            EditAccountServerPort.value = '5060';
        }

        SaveAccountSetting();

        m_objVaxWebPhoneLib.VaxOnline(EditAccountDisplayName.value, EditAccountUserName.value, EditAccountAuthLogin.value, EditAccountAuthPassword.value, EditAccountDomain.value, EditAccountServerAddr.value, parseInt(EditAccountServerPort.value), CheckRegisterToProxy.checked, EditWebSocketServerAddr.value);

        if (CheckRegisterToProxy.checked == false) 
        {
            AddToStatusLogList("Account is online.");
		}
	}
	
    this.BtnClearStatusLog_onclick = function () 
    {
        ListStatusLog.value = "";
    }

    this.CheckSavePwd_onclick = function ()
    {
        if (CheckSavePwd.checked)
        {
            SetCookie('CheckSavePwd', '1');
            SetCookie('AccountAuthPassword', EditAccountAuthPassword.value);
		}
		
        else
        {
            SetCookie('CheckSavePwd', '0');
            SetCookie('AccountAuthPassword', '');
        }
    }

    this.BtnAdvance_onclick = function ()
    {
        var DisplayId = document.getElementById("EditAccountDisplayName");
        DisplayId.style.display == "block" ? DisplayId.style.display = "none" :
        DisplayId.style.display = "block";

        var UserNameId = document.getElementById("EditAccountUserName");
        UserNameId.style.display == "block" ? UserNameId.style.display = "none" :
        UserNameId.style.display = "block";

        var DomainRealmId = document.getElementById("EditAccountDomain");
        DomainRealmId.style.display == "block" ? DomainRealmId.style.display = "none" :
        DomainRealmId.style.display = "block";

        var BtnAdvanceId = document.getElementById("BtnAdvance");

        if (BtnAdvanceId.value == "Basic") BtnAdvanceId.value = "Advance";
        else BtnAdvanceId.value = "Basic";
    }

	this.BtnDemoAcc_onclick = function()
	{
		var DateNow = new Date();
		var Time = DateNow.getTime();
  
		var EpochTime = Math.round(Time / 1000);
  
		EditAccountAuthLogin.value = EpochTime;
		EditAccountAuthPassword.value = EpochTime;
  
		EditAccountServerAddr.value = "demo.vaxvoip.com";
        EditAccountServerPort.value = "8060";

        EditAccountUserName.value = "";
        EditAccountDisplayName.value = "";
        EditAccountDomain.value = "";

        CheckSavePwd.checked = true;
        EditWebSocketServerAddr.value = '45.126.210.90';

        var sDemoMsg = "";

        sDemoMsg = "<br/>" + "Auth Login: " + EpochTime + "<br/>";
        sDemoMsg = sDemoMsg + "Auth Password: " + EpochTime + "<br/>";
        sDemoMsg = sDemoMsg + "Server Addr: " + EditAccountServerAddr.value + "<br/>";
        sDemoMsg = sDemoMsg + "Server Port: " + EditAccountServerPort.value + "<br/> <br/>";


        ShowDialog(sDemoMsg + "Demo accounts are only for account-to-account VoIP calls. Use demo accounts on different devices to dial/receive VoIP calls.<br/> <br/>Dial 000 for self testing.<br> <br/>[Powered by VaxVoIP Server SDK]", "VaxVoIP SDK");
	}

	/////////////////////////////////////////////////////////////////////////////

	function SaveAccountSetting()
	{
    	SetCookie('AccountUserName', EditAccountUserName.value);
    	SetCookie('AccountDisplayName', EditAccountDisplayName.value);
    	SetCookie('AccountDomain', EditAccountDomain.value);
    	
    	SetCookie('AccountAuthLogin', EditAccountAuthLogin.value);

    	if (CheckSavePwd.checked)
        	SetCookie('AccountAuthPassword', EditAccountAuthPassword.value);
    	else
        	SetCookie('AccountAuthPassword', '');
        
		SetCookie('AccountServerAddr', EditAccountServerAddr.value);
		SetCookie('AccountServerPort', EditAccountServerPort.value);
		
		SetCookie('AccountRTCServerIP', EditWebSocketServerAddr.value);
		SetCookie('CheckSavePwd', CheckSavePwd.value);
	}

	this.ReadAccountSetting = function()
	{
		var Value = GetCookie('AccountUserName');
    	if (Value != null)
        	EditAccountUserName.value = Value;

    	Value = GetCookie('AccountDisplayName');
    	if (Value != null)
        	EditAccountDisplayName.value = Value;

    	Value = GetCookie('AccountDomain');
    	if (Value != null)
        	EditAccountDomain.value = Value;
			
		Value = GetCookie('AccountAuthLogin');
    	if (Value != null)
        	EditAccountAuthLogin.value = Value;
		
    	Value = GetCookie('AccountAuthPassword');
    	if (Value != null)
        	EditAccountAuthPassword.value = Value;

    	Value = GetCookie('AccountServerAddr');
    	if (Value != null)
        	EditAccountServerAddr.value = Value;
			
        var Value = GetCookie('AccountServerPort');

        if (Value != null && Value != '')
            EditAccountServerPort.value = Value;
        else
            EditAccountServerPort.value = '5060';
		    	
    	Value = GetCookie('CheckSavePwd');
		
    	if (Value == null || Value == '0')
        	CheckSavePwd.checked = false;
    	else
        	CheckSavePwd.checked = true;
				        
    	var Value = GetCookie('AccountRTCServerIP');
    	
		if (Value != null && Value != '')
        	EditWebSocketServerAddr.value = Value;
		else
            EditWebSocketServerAddr.value = '45.126.210.90';
	}

	this.DisplayNone = function()
	{
		document.getElementById("EditAccountDisplayName").style.display = "none";
		document.getElementById("EditAccountUserName").style.display = "none";
		document.getElementById("EditAccountDomain").style.display = "none";	
	}

	function AddToStatusLogList(value)
    {
        if (ListStatusLog.value.length == 0)
            ListStatusLog.value = ListStatusLog.value + value;
        else
            ListStatusLog.value = ListStatusLog.value + "\n" + value;

        ListStatusLog.scrollTop = ListStatusLog.scrollHeight;
    }

    ////////////////////////////////////////////////////////////////////////

    function IsValidAddrIP(sAddrIP)
    {
        if (/^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/.test(sAddrIP))
        {
            return (true);
        }

        return (false);
    }


    /////////////////////////////////////////////////////////////////////////////
        
    this.OnWebSocketStatus = function (sStatus)
    {
        AddToStatusLogList(sStatus);
    }
        
    /////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////

    this.OnUnRegistered = function ()
    {
        m_objVaxWebPhoneLib.VaxUnInitialize();
    }

    this.OnRegisterStatus = function (sStatus)
    {
        AddToStatusLogList(sStatus);
    }

    /////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////
    
    this.OnVoiceMailMsg = function (bIsMsgWaiting, nNewMsgCount, nOldMsgCount, nNewUrgentMsgCount, nOldUrgentMsgCount, sMsgAccount)
    {
    
    }

};