﻿
//Class cVaxHtml

function cVaxHtml() 
{
    var m_hAudioMediaOut;

    var m_hVideoMediaOut;
    var m_hVideoPreviewOut;

    this.OnLoadPage = function ()
    {
        m_hVideoPreviewOut = document.getElementById('Preview');
        m_hVideoMediaOut = document.getElementById('MediaVideo');

        m_hAudioMediaOut = new Array(2);

        m_hAudioMediaOut[0] = document.getElementById('MediaAudioA');
        m_hAudioMediaOut[1] = document.getElementById('MediaAudioB');

        m_hVideoPreviewOut.addEventListener('loadedmetadata', function ()
        {
            trace('Local video videoWidth: ' + this.videoWidth +
                'px,  videoHeight: ' + this.videoHeight + 'px');
        });

        m_hVideoMediaOut.addEventListener('loadedmetadata', function ()
        {
            trace('Remote video videoWidth: ' + this.videoWidth +
                'px,  videoHeight: ' + this.videoHeight + 'px');
        });

        m_hVideoMediaOut.onresize = function ()
        {
            trace('Remote video size changed to ' +
                m_hVideoMediaOut.videoWidth + 'x' + m_hVideoMediaOut.videoHeight);

            if (startTime)
            {
                var elapsedTime = window.performance.now() - startTime;
                trace('Setup time: ' + elapsedTime.toFixed(3) + 'ms');
                startTime = null;
            }
        };
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    this.GetAudioMediaOut = function (nLineNo)
    {
        return m_hAudioMediaOut[nLineNo];
    }
           
    this.GetVideoMediaOut = function ()
    {
        return m_hVideoMediaOut;
    }

    this.GetVideoPreviewOut = function ()
    {
        return m_hVideoPreviewOut;
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////
       

};
  

